function [ u, Z, MW ] = Find_mu_Z_Liq( p, GasProp )
%INITIALPARAM Summary of this function goes here
%   Detailed explanation goes here
[N, M]= size(GasProp);

if p > max(GasProp(:,1)) | p< min(GasProp(:,1))
    warning('Intial Res. Pressure Higher than Max Pres in PVT Table')
pause
u=0; Z=0; MW=0;
else

for i=2:N
    if p <= GasProp(i,1) && p >= GasProp(i-1,1)
        u = GasProp(i-1,14)+ (p-GasProp(i-1,1))/(GasProp(i,1)-GasProp(i-1,1))*(GasProp(i,14)-GasProp(i-1,14));
         Z = GasProp(i-1,15)+ (p-GasProp(i-1,1))/(GasProp(i,1)-GasProp(i-1,1))*(GasProp(i,15)-GasProp(i-1,15));
    end
end

end

end
