function [ u, Z, MW ] = Find_mu_Z_MW( p, GasProp )
%INITIALPARAM Summary of this function goes here
%   Detailed explanation goes here
[N, M]= size(GasProp);

if p > max(GasProp(:,1)) | p< min(GasProp(:,1))
    warning('Intial Res. Pressure Higher than Max Pres in PVT Table')
pause
u=0; Z=0; MW=0;
else

for i=2:N
    if p <= GasProp(i,1) && p >= GasProp(i-1,1)
        u = GasProp(i-1,2)+ (p-GasProp(i-1,1))/(GasProp(i,1)-GasProp(i-1,1))*(GasProp(i,2)-GasProp(i-1,2));
         Z = GasProp(i-1,3)+ (p-GasProp(i-1,1))/(GasProp(i,1)-GasProp(i-1,1))*(GasProp(i,3)-GasProp(i-1,3));
        MW= GasProp(i-1,16)+ (p-GasProp(i-1,1))/(GasProp(i,1)-GasProp(i-1,1))*(GasProp(i,16)-GasProp(i-1,16));
    end
end

end

end
