function [ IFT ] = IFT_Fun( Parachor, Pl, Pv , Zl, Zv,T, xi, yi )
%IFT Model

R = 0.0083144E3;  %MPa.cm^3/mol.K

MolDensIq= Pl/(Zl*R*T);
MolDensVa= Pv/(Zv*R*T);
IFT =sum([( MolDensIq .* xi)-(MolDensVa .* yi)].*Parachor)^3.67; % [mN/m]

end

