function [ R_SORTED, Sat_Rmin,Pcap_PM] = SatToRmin4_Pores( Dim, R, LR, R_PORES, GasProp, PressIndex, PcapNum,CosTheta )

%R sorted
%L(R)
%Vol(R)
% INCrimental Vol

% Sat_Rmin(:,1) ; Condensate Sat
% Sat_Rmin(:,2) ; Rg min (nm)
% Pcap_PM : Pcap (psi) = f(Sat)

 R_SORTED(:,1)=sort(reshape(R,Dim^6,1));
 
%VOL = pi/4 *L .*R.^2
R_SORTED(:,3) = pi/4 *LR *R_SORTED(:,1).^2;
%% -----------------------------
R_PORES_SORTED(:,1)=sort(reshape(R_PORES,Dim^3,1));

%VOL = 4/3 pi R.^3
R_PORES_SORTED(:,3) = 4/3 * pi * R_PORES_SORTED(:,1).^3; 

% INCrimental Vol
R_SORTED(1,4)= R_SORTED(1,3);

%
for k=2:Dim^6  
  R_SORTED(k,4)= R_SORTED(k,3) + R_SORTED(k-1,4);
end


VTOT = R_SORTED(end,4) + sum(R_PORES_SORTED(:,3));

R_SORTED(:,5)= R_SORTED(:,4)/VTOT;

%Saturation
% Rmin
for o=1:1001
    Sat_Rmin(o,1) = (o-1)/1000;
    
Sat_Rmin(o,2) = R_SORTED(1,1);
for k=2:Dim^6
        if Sat_Rmin(o,1)> R_SORTED(k-1,5) && Sat_Rmin(o,1)< R_SORTED(k,5);
            Sat_Rmin(o,2) = R_SORTED(k,1);
        end
end
end

% Capillary Pr
for l=1:PcapNum

IFT = GasProp(PressIndex(l),17);
for o=1:1000
[ Pcap_PM(o,1)]  =  Sat_Rmin(o,1);
[ Pcap_PM(o,l+1)] = Pcap_Fun(IFT, CosTheta, Sat_Rmin(o,2));  Pcap_PM(o,l)=  Pcap_PM(o,l)* 145.0377 ; % from Mpa to psi
end
end

end



