function [ E ] = E_Func( R, T, MW,  P, u , z, Alpha0, A, B )
% Calculate E factior for R 

Rg= 8314; %J/kmol/K

%Convertors
psitoPa = 6894.757;% From psi to MPa
cptoPas =	1.00E-03;


Lamda = (pi*Rg* T/(2*MW))^0.5 * (cptoPas * u) * z /(psitoPa* P);
Kn= Lamda/R;
% Alpha = Alpha0 * (Kn^B/(A+Kn^B)); display ('Alpha Civan Model')%Civan
Alpha =128/(15 * pi^2 )* atan(4 *(Kn)^0.4); %display ('Alpha Beskok Model') %Beskok

% E = ones(N,1) + Lamda.*(4*ones(N,1)+Alpha)/Rbar; 

E = (1 + Alpha * Kn)* (1 + (4 * Kn) / (1 + Kn)); 
end

% 
% T= 0.555555556 * Tres; % from R to K 
% Rg= 8314; %J/kmol/K
% PI=3.14159265359; 
% [N, M]= size(GasProp);
% P=GasProp(:,1);
% u=GasProp(:,2); % cp
% z=GasProp(:,3);
% MW=GasProp(:,16); % Gas Mixture MW
% v =v *1E-9; v0 =v;
% 
% %Convertors
% psitoPa = 6894.757;% From psi to MPa
% cptoPas =	1.00E-03;
% 
% Lamda = (PI*Rg* T./(2.*16)).^0.5 .* (cptoPas .* u) .* z ./(psitoPa.* P);
% %%
% for j=1:N % Pressure Step
% 
%     K_ABS(j)= 0;
%     K_EAVG = 0;
%     Rbar =0;
%     RCrossSection =0;
% %%
% dR = (Rmax-Rmin)/Rnum;
% for i = 1:Rnum % Pore diamter
% R = (Rmin + i*dR) * 1E-9;
% 
% 
% if R > RminGas(j) %-----------------------------------------------------------
% 
% f = 1 / ((2 * PI) ^ 0.5 * R * s) * exp(-0.5 * (((reallog(R) - reallog(v))/s)^2));
% Kn= Lamda(j)/R;
% Alpha = Alpha0 * (Kn.^B./(A+Kn.^B));
% % Alpha =128 / (15 * pi ^ 2) * atan(4 * Kn ^ 0.4)
% ER = (1+ Alpha * Kn)*( 1+  (4*Kn)/(1+Kn));