function [ nv,xi,yi ] = FLASH( zi, Ki )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

eps = 1E-12;

% initilise nv 

A= sum(zi.*(Ki-1));
B= sum(zi.*(  (1./Ki) -1));
nv = A/(A+B);
errnv=100;
f_nv=1;

while abs(f_nv) > eps &&  errnv > eps

f_nv=sum(  (zi.*(Ki-1))./  (nv*(Ki-1)+1)  );

div_f_nv= - sum(  (zi.*(Ki-1).^2)./  ((nv*(Ki-1)+1).^2)  );

nvnew = nv- f_nv/div_f_nv;
errnv= abs(1-nvnew/nv);
nv = nv- f_nv/div_f_nv;
end

if nv < 0
    nv=0;
end

if nv > 1
    nv=1;
end

nl=1-nv;

xi= zi./(nl+nv*Ki);
yi= xi.*Ki;
end

