function [ R ] = Find_R( So,RSynth,NSynth, Rmin )
%Find Max Pore size blocked by condensate (min Gas free pore flow)

for i=2:NSynth
    if So <= RSynth(i,4) && So >= RSynth(i-1,4)
        R = RSynth(i-1,1)+ (So-RSynth(i-1,4))/(RSynth(i,4)-RSynth(i-1,4))*(RSynth(i,1)-RSynth(i-1,1));
    end
    if So <= min (RSynth(:,4))
        R= Rmin;
    end
end

end

