function [ Rmin, RminSat, RminIndex,LiqFraction ] = Sat_Rmin( R_Class, Rnum,  Cum_PSpace,NNP,CAPliqsatPM  )
% pore size iteraction
% to find the min R gas and condensate saturation 
%   Detailed explanation goes here

for i =1:NNP
    
    
if     CAPliqsatPM(i)>Cum_PSpace(1)
    for j=2:Rnum

        if CAPliqsatPM(i) > Cum_PSpace(j-1) && CAPliqsatPM(i) < Cum_PSpace(j)

            Rmin(i) = R_Class(j);
            RminSat(i) = Cum_PSpace(j) - CAPliqsatPM(i) /(Cum_PSpace(j)-Cum_PSpace(j-1));
            RminIndex(i) = j;
            LiqFraction(i)=  CAPliqsatPM(i) -Cum_PSpace(j) /(CAPliqsatPM(i)); %fraction of liquid in Rmin to be added to VLE calc
        end
    end
else
     Rmin(i) = min(R_Class);
     RminSat(i) =Cum_PSpace(1) - CAPliqsatPM(i) /(Cum_PSpace(1));
      RminIndex(i) = 1;
      LiqFraction(i)=  CAPliqsatPM(i); %fraction of liquid in Rmin to be added to VLE calc
end

end
end

